package com.caimei365.user.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * Description
 * @author Aslee
 * @version 2021-11-24
 */
@Data
public class ArticlePo {
	/**
	 * 文章id
	 */
	private Integer articleId;

	/**
	 * 文章标题
	 */
	private String title;

	/**
	 * 文章标签
	 */
	private String label;

	/**
	 * SEO关键词
	 */
	private String keyword;

	/**
	 * 发布人
	 */
	private String publisher;

	/**
	 * 来源
	 */
	private String source;

	/**
	 * 供应商id
	 */
	private Integer shopId;

	/**
	 * 推荐语
	 */
	private String recommendContent;

	/**
	 * 文章内容
	 */
	private String articleContent;

	/**
	 * 文章分类id
	 */
	private Integer typeId;

	/**
	 * 引导图
	 */
	private String guidanceImage;

	/**
	 * 状态：0停用，1启用
	 */
	private Integer status;

	/**
	 * 文章发布来源：1采美，2供应商
	 */
	private Integer publishSource;

	/**
	 * 推荐状态:0不推荐，1推荐
	 */
	private Integer recommendStatus;

	/**
	 * 基础点赞
	 */
	private Integer basePraise;
	/**
	 * 基础阅读量
	 */
	private Integer basePv;
	/**
	 * 优先级
	 */
	private Integer priorityIndex;
	/**
	 * 文章审核状态：1待审核，2审核通过，3审核失败
	 */
	private Integer auditStatus;

}